Package org.silverpeas.components.resourcesmanager

## Class ResourcesManagersSynchronizer

- java.lang.Object
- - org.silverpeas.components.resourcesmanager.ResourcesManagersSynchronizer

-     @Technical
      @Service
      @Singleton
      public class ResourcesManagersSynchronizer
      extends Object

  A synchronizer of the list of managers of all concerned resources with any modification of the Manager role profile for a Resources Manager application.
  Author:
    mmoquillon

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourcesManagersSynchronizer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `synchronize​(String instanceId, Set<String> removedUsersId)` | Synchronizes the list of managers of the resources managed by the specified Resources Manager application and by taking into account the given users have been removed from the Manager role profile for the application.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourcesManagersSynchronizer

          public ResourcesManagersSynchronizer()

  - ### Method Detail

    - #### synchronize

          public void synchronize​(@Defined
                                  String instanceId,
                                  @NonNull
                                  Set<String> removedUsersId)

      Synchronizes the list of managers of the resources managed by the specified Resources Manager application and by taking into account the given users have been removed from the Manager role profile for the application. The specified users could could have been explicitly removed or have been in a group that has been removed from the Manager role profile.
      Parameters:
        `instanceId` - the unique identifier of a Resource Managers application.
        `removedUsersId` - a set with the unique identifiers of the removed users.